Component Class

class NXOpen.Layout2d.Component

Bases: NXOpen.DisplayableObject

Represents the Component object.

To create or edit an instance of this class, use NXOpen.Layout2d.DefineComponentBuilder

New in version NX10.0.0.

Properties

Property Description
Color Returns or sets the color of the object.
IsActive Returns the active state of 2D Component.
IsBlanked Returns the blank status of this object.
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Layer Returns or sets the layer that the object is in.
LineFont Returns or sets the line font of the object.
LineWidth Returns or sets the line width of the object.
LockUpdateStatus Returns or sets the lock update status of 2D Component.
Name Returns the custom name of the object.
NameLocation Returns the location of the object’s name.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.

Methods

Method Description
Activate Activates the component.
ActivateInIsolation Activates the component while in edit in isolation task environment and returns component internal sketch
AddExistingCurves Add an array of specified curves from top level sketch to this component
Blank Blanks the object.
CreateAttributeIterator Create an attribute iterator
Deactivate Deactivates the component.
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
ExitActivate Exits the component active status without committing the changes.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAnchorPoint Gets the anchor point of a component if it exist
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetDefinition Gets the component definition of a component
GetDefinitionLocation Gets the location of the component definition
GetDefinitionName Gets the component definition name of a component
GetDefinitionPath Gets the path of the component definition
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetMembers Returns an array of specified members in this component
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetTransform Gets the absolute transform of a component, as a rotation matrix and a translation vector
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
Highlight Highlights the object.
Print Prints a representation of this object to the system log file.
RedisplayObject Redisplays the object in all views.
RemoveViewDependency Remove dependency on all views from an object.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetNameLocation Sets the location of the object’s name.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetTransform Sets the absolute transform on a component, given a rotation matrix and a translation vector
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
Transform Transforms the component given a rotation matrix and a translation vector
Unblank Unblanks the object.
Unhighlight Unhighlights the object.
Update Updates the component and all of its sub components.

Property Detail

IsActive

Component.IsActive

Returns the active state of 2D Component.

-------------------------------------

Getter Method

Signature IsActive

Returns:
Return type:bool

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

IsOccurrence

Component.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

Component.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

LockUpdateStatus

Component.LockUpdateStatus

Returns or sets the lock update status of 2D Component.

-------------------------------------

Getter Method

Signature LockUpdateStatus

Returns:
Return type:bool

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

-------------------------------------

Setter Method

Signature LockUpdateStatus

Parameters:lock (bool) –

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

Name

Component.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

Component.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

Component.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

Component.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

Activate

Component.Activate

Activates the component.

Signature Activate()

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

ActivateInIsolation

Component.ActivateInIsolation

Activates the component while in edit in isolation task environment and returns component internal sketch

Signature ActivateInIsolation()

Returns:
Return type:NXOpen.Sketch

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

AddExistingCurves

Component.AddExistingCurves

Add an array of specified curves from top level sketch to this component

Signature AddExistingCurves(curves)

Parameters:curves (list of NXOpen.DisplayableObject) –

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

Deactivate

Component.Deactivate

Deactivates the component.

Signature Deactivate()

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

ExitActivate

Component.ExitActivate

Exits the component active status without committing the changes.

Signature ExitActivate()

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

FindObject

Component.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetAnchorPoint

Component.GetAnchorPoint

Gets the anchor point of a component if it exist

Signature GetAnchorPoint()

Returns:a tuple
Return type:A tuple consisting of (isAnchorPointExist, anchorPoint). isAnchorPointExist is a bool. anchorPoint is a NXOpen.Point3d.

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

GetDefinition

Component.GetDefinition

Gets the component definition of a component

Signature GetDefinition()

Returns:
Return type:NXOpen.Layout2d.ComponentDefinition

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

GetDefinitionLocation

Component.GetDefinitionLocation

Gets the location of the component definition

Signature GetDefinitionLocation()

Returns:
Return type:NXOpen.Layout2d.Layout2dDefinitionLocation

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

GetDefinitionName

Component.GetDefinitionName

Gets the component definition name of a component

Signature GetDefinitionName()

Returns:
Return type:str

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

GetDefinitionPath

Component.GetDefinitionPath

Gets the path of the component definition

Signature GetDefinitionPath()

Returns:
Return type:str

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

GetMembers

Component.GetMembers

Returns an array of specified members in this component

Signature GetMembers(memberType)

Parameters:memberType (NXOpen.Layout2d.Layout2dComponentMemberType) –
Returns:
Return type:list of NXOpen.DisplayableObject

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

GetTransform

Component.GetTransform

Gets the absolute transform of a component, as a rotation matrix and a translation vector

Signature GetTransform()

Returns:a tuple
Return type:A tuple consisting of (rotation, translation). rotation is a NXOpen.Matrix3x3. translation is a NXOpen.Vector3d.

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

Print

Component.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

Component.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SetTransform

Component.SetTransform

Sets the absolute transform on a component, given a rotation matrix and a translation vector

Signature SetTransform(rotation, translation)

Parameters:

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

Transform

Component.Transform

Transforms the component given a rotation matrix and a translation vector

Signature Transform(rotation, translation)

Parameters:

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)

Update

Component.Update

Updates the component and all of its sub components.

Signature Update()

New in version NX10.0.0.

License requirements: nx_layout (“NX Layout”)